> ## Documentation Index
> Fetch the complete documentation index at: https://help.pixwel.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create session



## OpenAPI

````yaml /openapi.yaml post /session
openapi: 3.1.0
info:
  title: Pixwel Platform
  description: >-
    The Pixwel Platform REST API. Responses are decorated by proxy middleware
    (Fields, Links, Permissions, etc.). Use `?fields=` to request specific
    fields.
  version: '2.8'
  contact:
    email: jeff@pixwel.com
  license:
    name: UNLICENSED
servers:
  - url: https://api-staging.pixwel.com/api
    description: Staging
  - url: https://app.pixwel.com/api
    description: Production
security:
  - BasicAuth: []
paths:
  /session:
    post:
      tags:
        - Session
      summary: Create session
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SessionResponse'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SessionResponse'
components:
  schemas:
    SessionResponse:
      type: object
      properties:
        _id:
          type: string
          example: 58c6e38e4b161cef068b4576
        emailNormal:
          type: string
          example: jeff@pixwel.com
        invite:
          type: string
          example: https://platform.pixwel.com/register/:code
        name:
          type: string
          example: Jeff Loiselle
        password:
          type: string
          example: $2a$10$LVc.3fxRXOPkZHoQ.ZobGOVb1tj33w/RcMegpqwxQx5OeIRmn5Qhm
        preferences:
          type: object
          properties:
            blacklist:
              type: object
              properties:
                projects:
                  type: array
                  items: {}
            mail:
              type: object
              properties:
                enabled:
                  type: boolean
                  example: true
                projects:
                  type: integer
                  example: -1
                assets:
                  type: integer
                  example: -1
                files:
                  type: integer
                  example: -1
                work_requests:
                  type: integer
                  example: -1
                shares:
                  type: integer
                  example: 0
                ingest:
                  type: integer
                  example: -1
                offline_comments:
                  type: integer
                  example: -1
                others:
                  type: integer
                  example: 3600
                work_request_comments:
                  type: integer
                  example: -1
                workflow:
                  type: integer
                  example: -1
            ingest:
              type: object
              properties:
                skipScratchPreview:
                  type: boolean
                  example: true
                maxUploads:
                  type: integer
                  example: 8
            contactLists:
              type: array
              items:
                type: object
                properties:
                  name:
                    type: string
                    example: friends
                  recipients:
                    type: object
                    properties:
                      groups:
                        type: array
                        items: {}
                      users:
                        type: array
                        items:
                          type: string
                          example: 537b4984d86a1547348b4576
            reports:
              type: object
              properties:
                workRequests:
                  type: object
                  properties:
                    dashboard:
                      type: array
                      items:
                        type: object
                        properties:
                          i:
                            type: string
                            example: timeline
                          x:
                            type: integer
                            example: 0
                          'y':
                            type: integer
                            example: 0
                          w:
                            type: integer
                            example: 12
                          h:
                            type: integer
                            example: 2
                    hiddenCharts:
                      type: array
                      items:
                        type: string
                        example: map
            agent:
              type: object
              properties:
                instructions:
                  type: string
                  example: ''
        queue:
          type: array
          items: {}
        status:
          type: object
          properties:
            invited:
              type: boolean
              example: true
            approved:
              type: boolean
              example: true
            registered:
              type: boolean
              example: true
            confirmed:
              type: boolean
              example: true
        territory:
          type: object
          properties:
            _id:
              type: string
              example: 51e149cdd5cddce641000048
            name:
              type: string
              example: United States
            code:
              type: string
              example: US
            standard:
              type: string
              example: NTSC
            countries:
              type: array
              items:
                type: object
                properties:
                  name:
                    type: string
                    example: United States
                  code:
                    type: string
                    example: US
            languages:
              type: array
              items:
                type: object
                properties:
                  name:
                    type: string
                    example: English
                  code:
                    type: string
                    example: ENG
                  dcpCode:
                    type: string
                    example: EN
            assignedLanguages:
              type: array
              items:
                type: string
                example: 586e6e83773dd6a60b56b3c0
        username:
          type: string
          example: jeff@pixwel.com
        orderQueue:
          type: array
          items: {}
        shareQueue:
          type: array
          items: {}
        id:
          type: string
          example: 58c6e38e4b161cef068b4576
        flags:
          type: array
          items: {}
        twofactorVerified:
          type: boolean
          example: false
        permissions:
          type: array
          items: {}
        groups:
          type: array
          items:
            type: object
            properties:
              _id:
                type: string
                example: 5328d77467d621906d8b4574
              addresses:
                type: array
                items:
                  type: object
                  properties:
                    name:
                      type: string
                      example: Home
                    address:
                      type: string
                      example: 115 S Fulton St
                    city:
                      type: string
                      example: Mobile
                    state:
                      type: string
                      example: AL
                    postalCode:
                      type: string
                      example: '36606'
                    country:
                      type: string
                      example: USA
              name:
                type: string
                example: PIXWEL
              studios:
                type: array
                items: {}
              type:
                type: string
                example: a
              users:
                type: array
                items:
                  type: string
                  example: 53309f8367d621e6708b4568
        roles:
          type: array
          items:
            type: string
            example: a
        studios:
          type: array
          items: {}
        $links:
          type: object
          properties:
            self:
              type: string
              example: //api-staging.pixwel.com/api/Users/58c6e38e4b161cef068b4576
        hasEnforced2fa:
          type: boolean
          example: false
  securitySchemes:
    BasicAuth:
      type: http
      scheme: basic

````